package bitRanks

object ResourceFiles {

  private val preludeFile = "/resources/prelude.pri"
  private val commOpsFile = "/resources/commutativeOperators.list"

  private def toReader(stream : java.io.InputStream) =
    new java.io.BufferedReader (new java.io.InputStreamReader(stream))

  private def resourceAsStream(filename : String) =
    ResourceFiles.getClass.getResourceAsStream(filename)
  
  def preludeReader = toReader(resourceAsStream(preludeFile))
  def commOpsReader = toReader(resourceAsStream(commOpsFile))
}
